=== src/CMakeLists.txt ===
set(CMAKE_INCLUDE_CURRENT_DIR ON)

add_subdirectory(LomiriGestures)
add_subdirectory(LomiriMetrics)
add_subdirectory(LomiriToolkit)
add_subdirectory(LomiriSystemInfo)

add_subdirectory(imports)
