=== debian/changelog ===
lomiri-ui-toolkit (1.3.6000~git20250930.d1286a4+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release preview / Git snapshot.
  * debian/copyright:
    + Update copyright attributions.
  * debian/patches:
    + Drop 0001_Don-t-use-LOMIRI_UI_TOOLKIT_VERSION-for-PROJECT_VERS.patch.
      Applied upstream.
    + Drop 0002_src-lib-CMakeLists.txt-Use-qt6-not-Qt6-as-library-na.patch.
      Applied upstream.
    + Rebase 2004_dont_do_header_check_will_fail_on_s390x.patch.
  * debian/rules:
    + Don't clean-up sync.profile anymore during clean target.
    + Remove private headers after dh_auto_install.
  * debian/*.install:
    + Adjust to path changes in this upstream Git snapshot.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 01 Oct 2025 21:43:43 +0200
