=== debian/control ===
Source: lomiri-ui-toolkit
Priority: optional
Section: libs
Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
 Marius Gripsgard <marius@ubports.com>,
Build-Depends: accountsservice <!nocheck>,
               cmake,
               lomiri-schemas <!nocheck>,
               dbus <!nocheck>,
               dbus-test-runner <!nocheck>,
               debhelper-compat (= 13),
               gdb,
               dh-sequence-python3,
               extra-cmake-modules (>= 6.13.0),
               fonts-noto-core,
               fonts-noto-mono,
               libbluetooth-dev,
               libdbus-1-dev,
               libevdev-dev,
               libfontconfig-dev,
               libfreetype-dev,
               libgl1-mesa-dri,
               libgles2-mesa-dev,
               libglib2.0-dev,
               libinput-dev,
               liblttng-ust-dev,
               libmtdev-dev,
               libqt5sql5-sqlite,
               libqt5svg5-dev,
               libudev-dev,
               libx11-dev,
               libxcb1-dev,
               libxi-dev,
               libxkbcommon-dev,
               libxrender-dev,
               licensecheck,
               locales,
               lsb-release,
               pycodestyle <!cross>,
               python3-all:any,
               python3-debian <!cross>,
               python3-sphinx <!cross>,
               python3-setuptools <!cross>,
               qml6-module-qt-labs-settings,
               qml6-module-ktactilefeedback,
               qml6-module-qt5compat-graphicaleffects,
               qml6-module-qtqml-models,
               qml6-module-qtqml-workerscript,
               qml6-module-qtquick-layouts,
               qml6-module-qtquick-localstorage,
               qml6-module-qtquick-window,
               qml6-module-qtquick,
               qml6-module-qttest,
               qml-module-qt-labs-settings,
               qml-module-qtfeedback,
               qml-module-qtgraphicaleffects,
               qml-module-qtqml-models2,
               qml-module-qtquick-layouts,
               qml-module-qtquick-localstorage,
               qml-module-qtquick-window2,
               qml-module-qtquick2,
               qml-module-qttest,
               qt6-5compat-dev,
               qt6-base-dev,
               qt6-base-private-dev,
               qt6-declarative-dev,
               qt6-declarative-private-dev,
               qt6-shadertools-dev,
               qt6-svg-dev,
               qt6-tools-dev,
#               qt6-pim-dev,
               qtbase5-dev,
               qtbase5-private-dev,
               qtdeclarative5-dev (>= 5.12.8~),
               qtdeclarative5-dev-tools,
               qtdeclarative5-doc-html <!cross>,
               qtdeclarative5-private-dev,
               qtmultimedia5-doc-html <!cross>,
               qtpim5-dev (>= 5.0~git20171109.0bd985b~),
               qtscript5-doc-html <!cross>,
               qtsvg5-doc-html <!cross>,
               qtsystems5-dev,
               qtsystems5-private-dev,
               qttools5-dev-tools,
               suru-icon-theme (>= 20.05~),
               uuid-runtime,
               xvfb <!nocheck>,
               xauth <!nocheck>,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://gitlab.com/ubports/development/core/lomiri-ui-toolkit/
Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-ui-toolkit.git
Vcs-Browser: https://salsa.debian.org/ubports-team/lomiri-ui-toolkit/

Package: qml-module-lomiri-components
Architecture: any
Multi-Arch: same
Depends: ${fonts-ubuntu},
         ${fonts-noto},
         liblomirigestures5t64 (= ${binary:Version}),
         liblomirimetrics5t64 (= ${binary:Version}),
         liblomiritoolkit5t64 (= ${binary:Version}),
         libqt5svg5,
         lomiri-ui-toolkit-common (>= ${source:Version}),
         lomiri-ui-toolkit-common (<< ${source:Version}.1~),
         lomiri-ui-toolkit-theme (= ${binary:Version}),
         qml-module-lomiri-components-labs,
         qml-module-lomiri-performancemetrics,
         qml-module-qtfeedback,
         qml-module-qtgraphicaleffects,
         qml-module-qtquick-layouts,
         qml-module-qtquick-window2,
         qml-module-qtquick2,
         suru-icon-theme (>= 20.05~),
         ${misc:Depends},
         ${shlibs:Depends},
Conflicts: qt-components-lomiri,
Breaks: qtdeclarative5-lomiri-ui-toolkit-plugin (<< 1.3.3000~),
Replaces: qt-components-lomiri,
          qtdeclarative5-lomiri-ui-toolkit-plugin (<< 1.3.3000~),
Provides: qt-components-lomiri,
Description: Qt 5 Components for Lomiri - Components QML plugin
 Qt 5 Components for Lomiri offers a set of reusable user interface
 components for Qt Quick 2 / QML.
 .
 This package contains the Lomiri Components QML plugin.

Package: qml-module-lomiri-components-labs
Architecture: any
Multi-Arch: same
Depends: ${fonts-ubuntu},
         ${fonts-noto},
         liblomirigestures5t64 (= ${binary:Version}),
         liblomirimetrics5t64 (= ${binary:Version}),
         liblomiritoolkit5t64 (= ${binary:Version}),
         libqt5svg5,
         lomiri-ui-toolkit-theme (= ${binary:Version}),
         qml-module-lomiri-performancemetrics,
         qml-module-qtfeedback,
         qml-module-qtgraphicaleffects,
         qml-module-qtquick-layouts,
         qml-module-qtquick-window2,
         qml-module-qtquick2,
         suru-icon-theme,
         ${misc:Depends},
         ${shlibs:Depends},
Conflicts: qt-components-lomiri-labs,
Replaces: qt-components-lomiri-labs,
Provides: qt-components-lomiri-labs,
Description: Qt 5 Components Labs for Lomiri - Components QML plugin
 Qt 5 Components Labs for Lomiri offers a set of non-released and mostly
 unstable user interface components for Qt Quick 2 / QML.
 .
 This package contains the Lomiri Components Labs QML plugin.

Package: qml-module-lomiri-layouts
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Breaks: qtdeclarative5-lomiri-ui-toolkit-plugin (<< 1.3.3000~),
Replaces: qtdeclarative5-lomiri-ui-toolkit-plugin (<< 1.3.3000~),
Description: Qt 5 Components for Lomiri - Layouts QML plugin
 Qt 5 Components for Lomiri offers a set of reusable user interface
 components for Qt Quick 2 / QML.
 .
 This package contains the Lomiri Layouts QML plugin.

Package: qml-module-lomiri-test
Architecture: any
Multi-Arch: same
Depends: qml-module-lomiri-components,
         qml-module-qttest | qtdeclarative5-test-plugin,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: qtdeclarative5-lomiri-ui-toolkit-plugin (<< 1.3.3000~),
Replaces: qtdeclarative5-lomiri-ui-toolkit-plugin (<< 1.3.3000~),
Description: Qt 5 Components for Lomiri - Test QML plugin
 Qt 5 Components for Lomiri offers a set of reusable user interface
 components for Qt Quick 2 / QML.
 .
 This package contains the Lomiri Test QML plugin.

Package: qml-module-lomiri-performancemetrics
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Breaks: qtdeclarative5-lomiri-ui-toolkit-plugin (<< 1.3.3000~),
Replaces: qtdeclarative5-lomiri-ui-toolkit-plugin (<< 1.3.3000~),
Description: Qt 5 Components for Lomiri - PerformanceMetrics QML plugin
 Qt 5 Components for Lomiri offers a set of reusable user interface
 components for Qt Quick 2 / QML.
 .
 This package contains the Lomiri PerformanceMetrics QML plugin.

Package: qml-module-lomiri-metrics
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Breaks: qtdeclarative5-lomiri-ui-toolkit-plugin (<< 1.3.3000~),
Replaces: qtdeclarative5-lomiri-ui-toolkit-plugin (<< 1.3.3000~),
Description: Qt 5 Components for Lomiri - Metrics QML plugin
 Qt 5 Components for Lomiri offers a set of reusable user interface
 components for Qt Quick 2 / QML.
 .
 This package contains the Lomiri Metrics QML plugin.

Package: liblomirigestures5t64
Provides: ${t64:Provides}
Replaces: liblomirigestures5
Breaks: liblomirigestures5 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Lomiri gestures Qt 5 library for Lomiri UI Toolkit
 Qt 5 Components for Lomiri offers a set of reusable user interface
 components for Qt Quick 2 / QML.
 .
 Library supporting Gesture recognition for Lomiri UI Toolkit
 Classes for SwipeArea, and for Lomiri Gestures in general.

Package: liblomirigestures-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: liblomirigestures5t64 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Lomiri gestures library development files
 Qt 5 Components for Lomiri offers a set of reusable user interface
 components for Qt Quick 2 / QML.
 .
 This package contains the development files for
 Lomiri gestures library with SwipeArea

Package: liblomirigestures5-private-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: liblomirigestures-dev (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Lomiri gestures Qt 5 library private development files
 Qt 5 Components for Lomiri offers a set of reusable user interface
 components for Qt Quick 2 / QML.
 .
 This package contains the private development files for
 Lomiri gestures library with SwipeArea

Package: liblomirimetrics5t64
Provides: ${t64:Provides}
Replaces: liblomirimetrics5
Breaks: liblomirimetrics5 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Lomiri metrics Qt 5 library for Lomiri UI Toolkit
 Qt Components for Lomiri offers a set of reusable user interface
 components for Qt Quick 2 / QML.
 .
 Library for monitoring QtQuick 2 applications

Package: liblomirimetrics-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: liblomirimetrics5t64 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Lomiri metrics Qt 5 library development files
 Qt 5 Components for Lomiri offers a set of reusable user interface
 components for Qt Quick 2 / QML.
 .
 This package contains the development files for the
 Lomiri metrics library

Package: liblomirimetrics5-private-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: liblomirimetrics-dev (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Lomiri metrics Qt 5 library private development files
 Qt 5 Components for Lomiri offers a set of reusable user interface
 components for Qt Quick 2 / QML.
 .
 This package contains the private development files for
 the Lomiri metrics library

Package: liblomiritoolkit5t64
Provides: ${t64:Provides}
Replaces: liblomiritoolkit5
Breaks: liblomiritoolkit5 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Lomiri toolkit common Qt 5 library for Lomiri UI Toolkit
 Qt 5 Components for Lomiri offers a set of reusable user interface
 components for Qt Quick 2 / QML.
 .
 Contains components and helper classes that are shared between the
 Lomiri QML plugins

Package: liblomiritoolkit-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: liblomiritoolkit5t64 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Lomiri toolkit common Qt 5 library development files
 Qt 5 Components for Lomiri offers a set of reusable user interface
 components for Qt Quick 2 / QML.
 .
 This package contains the development files for
 Lomiri toolkit common library

Package: liblomiritoolkit5-private-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: liblomiritoolkit-dev (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Lomiri toolkit common Qt 5 library private development files
 Qt 5 Components for Lomiri offers a set of reusable user interface
 components for Qt Quick 2 / QML.
 .
 This package contains the private development files for
