=== debian/watch ===
version=4
opts="mode=git, pgpmode=none,  pretty=1.3.6000~git%cd.%h, repacksuffix=+dfsg, dversionmangle=s/\+dfsg//" \
https://gitlab.com/ubports/development/core/lomiri-ui-toolkit.git heads/personal/gberh/qt68-cmake debian uupdate
